import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';

export const notificationsSettingsTranslations: Record<string, string> = {
    daily: _('notifications-screen.schedule.instant'),
    daily_summary: _('notifications-screen.schedule.daily'),
    weekly_summary: _('notifications-screen.schedule.weekly'),
    inAppNotifications: _('notifications-screen.category.in-app-notifications'),
    emailNotifications: _('notifications-screen.category.email-notifications'),
    DOSSIER_OWNER_SET: _('notifications-screen.options.DOSSIER_OWNER_SET'),
    DOSSIER_OWNER_REMOVED: _('notifications-screen.options.DOSSIER_OWNER_REMOVED'),
    USER_BECOMES_DOSSIER_MEMBER: _('notifications-screen.options.USER_BECOMES_DOSSIER_MEMBER'),
    USER_REMOVED_AS_DOSSIER_MEMBER: _('notifications-screen.options.USER_REMOVED_AS_DOSSIER_MEMBER'),
    USER_PROMOTED_TO_APPROVER: _('notifications-screen.options.USER_PROMOTED_TO_APPROVER'),
    USER_DEGRADED_TO_REVIEWER: _('notifications-screen.options.USER_DEGRADED_TO_REVIEWER'),
    DOSSIER_OWNER_DELETED: _('notifications-screen.options.DOSSIER_OWNER_DELETED'),
    DOSSIER_DELETED: _('notifications-screen.options.DOSSIER_DELETED'),
    ASSIGN_REVIEWER: _('notifications-screen.options.ASSIGN_REVIEWER'),
    ASSIGN_APPROVER: _('notifications-screen.options.ASSIGN_APPROVER'),
    UNASSIGNED_FROM_FILE: _('notifications-screen.options.UNASSIGNED_FROM_FILE'),
    DOCUMENT_UNDER_REVIEW: _('notifications-screen.options.DOCUMENT_UNDER_REVIEW'),
    DOCUMENT_UNDER_APPROVAL: _('notifications-screen.options.DOCUMENT_UNDER_APPROVAL'),
    DOCUMENT_APPROVED: _('notifications-screen.options.DOCUMENT_APPROVED'),
    DOWNLOAD_READY: _('notifications-screen.options.DOWNLOAD_READY'),
    dossier: _('notifications-screen.groups.dossier'),
    document: _('notifications-screen.groups.document'),
    other: _('notifications-screen.groups.other'),
} as const;
